BeamSectionOptions Class

class NXOpen.CAE.BeamSectionOptions

Bases: NXOpen.TransientObject

Represents the synchronize options to be used when a FEM part is created These options will be used to synchronize the specified entities from the master CAD part file to the FEM part file

To create a new instance of this class, use NXOpen.CAE.CaePart.NewBeamSectionOptions()

New in version NX5.0.0.

Properties

Property Description
BeamAftSection Returns or sets the section of aft beam end
BeamForeSection Returns or sets the section of fore beam end
BeamSectionTapered Returns or sets the flag indicating whether the beam section is tapered
BeamSectionTaperedChaining Returns or sets the flag indicating whether the beam section is in tapered chaining

Methods

Method Description
Dispose Destroys the object

Property Detail

BeamAftSection

BeamSectionOptions.BeamAftSection

Returns or sets the section of aft beam end

-------------------------------------

Getter Method

Signature BeamAftSection()

Returns:
Return type:NXOpen.CAE.BeamSection

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BeamAftSection(beamSection)

Parameters:beamSection (NXOpen.CAE.BeamSection) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

BeamForeSection

BeamSectionOptions.BeamForeSection

Returns or sets the section of fore beam end

-------------------------------------

Getter Method

Signature BeamForeSection()

Returns:
Return type:NXOpen.CAE.BeamSection

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BeamForeSection(beamSection)

Parameters:beamSection (NXOpen.CAE.BeamSection) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

BeamSectionTapered

BeamSectionOptions.BeamSectionTapered

Returns or sets the flag indicating whether the beam section is tapered

-------------------------------------

Getter Method

Signature BeamSectionTapered()

Returns:
Return type:bool

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BeamSectionTapered(bTapered)

Parameters:bTapered (bool) –

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

BeamSectionTaperedChaining

BeamSectionOptions.BeamSectionTaperedChaining

Returns or sets the flag indicating whether the beam section is in tapered chaining

-------------------------------------

Getter Method

Signature BeamSectionTaperedChaining()

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BeamSectionTaperedChaining(bTaperedChaining)

Parameters:bTaperedChaining (bool) –

New in version NX8.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Method Detail

Dispose

BeamSectionOptions.Dispose

Destroys the object

Signature Dispose()

New in version NX5.0.0.

License requirements: None.